//-----------------------------------------------------------------------------
/*
Programmed by Olivier Sangala
http://olivier.sangala.free.fr
olivier_sangala@hotmail.com
*/
//-----------------------------------------------------------------------------

// C Source File
// Created 04/06/03; 17:21:09

#define USE_TI89              // Compile for TI-89
#define USE_TI92PLUS          // Compile for TI-92 Plus
#define USE_V200              // Compile for V200

// #define OPTIMIZE_ROM_CALLS // Use ROM Call Optimization

#define MIN_AMS 100           // Compile for AMS 1.00 or higher

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files


// Main Function
void _main(void)
{
	
	char *data=malloc(8*256);
	int a,b;

	FontSetSys(0);
	clrscr();
	printf("CharCopy 1.0 \n");
	printf("Programmed by Olivier Sangala \n");
	printf("http://olivier.sangala.free.fr \n");
	printf("olivier_sangala@hotmail.com \n");
	FontSetSys(1);
	ngetchx();
	
	FontSetSys (F_6x8);
	ClrScr();
	
	// Save Code
	
	char* ptr1 = data;
	
	for (a=0;a<256;a++)
	{
		DrawChar(0,0,a,A_REPLACE);
		
		for (b=0;b<8;b++)
		*ptr1++=*((char*)LCD_MEM+30*b);
	}
	
	clrscr();
	printf("Adress : %04lX \n",(unsigned long)data);
	printf("Size : %d \n",8*256);
	ngetchx();
	
	
	// Test Code
	
	char*ptr2=data;
	for (a=0;a<8*256;a++)
	*((char*)LCD_MEM+30*(a%96)+(a/96))=*ptr2++;
	ngetchx();
	
	free(data);
	
}
